<?php
/**
 * ProductGroupsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Управление контентом
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CmsClient;

use \Ensi\CmsClient\Configuration;
use \Ensi\CmsClient\ApiException;
use \Ensi\CmsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ProductGroupsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductGroupsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createProductGroups
     *
     * Создание объекта типа ProductGroup.
     *
     */
    public function testCreateProductGroups()
    {
    }

    /**
     * Test case for deleteProductGroupFiles
     *
     * Удаление файла для объекта типа ProductGroup.
     *
     */
    public function testDeleteProductGroupFiles()
    {
    }

    /**
     * Test case for deleteProductGroups
     *
     * Удаление объекта типа ProductGroup.
     *
     */
    public function testDeleteProductGroups()
    {
    }

    /**
     * Test case for replaceProductGroups
     *
     * Замена объекта типа ProductGroup.
     *
     */
    public function testReplaceProductGroups()
    {
    }

    /**
     * Test case for searchOneProductGroups
     *
     * Поиск объекта типа ProductGroup.
     *
     */
    public function testSearchOneProductGroups()
    {
    }

    /**
     * Test case for searchProductGroupTypes
     *
     * Поиск объектов типа ProductGroupType.
     *
     */
    public function testSearchProductGroupTypes()
    {
    }

    /**
     * Test case for searchProductGroups
     *
     * Поиск объектов типа ProductGroup.
     *
     */
    public function testSearchProductGroups()
    {
    }

    /**
     * Test case for uploadProductGroupFiles
     *
     * Загрузка файла для объекта типа ProductGroup.
     *
     */
    public function testUploadProductGroupFiles()
    {
    }
}
